[SciPy-user] numpy compatibility with third-party packages?

Ed Schofield schofield at ftw.at
Tue Jan 10 06:03:48 CST 2006


On 10/01/2006, at 9:35 AM, Giovanni Samaey wrote:

> Hi all,
>
> The issue is that mpipython and pytables assume that you are feeding
> them numarray
> or Numeric arrays, and they don't know the new numpy objects.   
> Sometimes
> using
> Numeric.array(...) before sending and scipy.array(...) after getting
> them returns wrong
> results without me noticing what happened.  Also, this is not really
> handy for programming.
>
> Are there efforts to make such packages use new numpy, or efforts  
> to let
> arrays present them
> in the "expected" way (this is probably silly).

Yes, the latest versions of Numeric and numarray should make this  
easy.  I've started a Wiki page on this topic at

http://new.scipy.org/Wiki/Array_Interface

Could someone with a spare moment to answer this question please add  
to that page, instead of posting here?


-- Ed



More information about the SciPy-user mailing list